> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create automated project settings

> 
Creates automated project creation (APC) settings.

The request fails with `400 Bad Request` when the configuration is invalid — for example when monitored folders are duplicated, exceed the allowed limit, mix different connectors or project templates, or when the connector does not support (sub)folder monitoring, and when the translation-export configuration breaks its uniqueness or combination rules (such as more than one entry for the same trigger or workflow step). If the referenced connector cannot be found, the request fails with `404 Not Found`.



## OpenAPI

````yaml /openapi/phrase-tms-all.json post /api2/v3/automatedProjects
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: All
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Additional Workflow Step
  - name: Analysis
  - name: Async Request
  - name: Authentication
  - name: Automations
  - name: Bilingual File
  - name: Business Unit
  - name: Buyer
  - name: Client
  - name: Connector
  - name: Conversations
  - name: Cost Center
  - name: Custom Fields
  - name: Custom File Type
  - name: Domain
  - name: Due Date Scheme
  - name: Email Template
  - name: File
  - name: Glossary
  - name: Import settings
  - name: Job
  - name: Language AI
  - name: Language Assets
  - name: Language Quality Assessment
  - name: Machine Translation
  - name: Machine Translation Settings
  - name: Mapping
  - name: Net Rate Scheme
  - name: Notifications
  - name: Price List
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quality Profile
  - name: Quote
  - name: Reference File
  - name: SCIM
  - name: Segment
  - name: Segmentation Rules
  - name: Service
  - name: Spell Check
  - name: SubDomain
  - name: Supported Languages
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: Vendor
  - name: Webhook
  - name: Workflow Step
  - name: Workflow changes
  - name: XML Assistant
paths:
  /api2/v3/automatedProjects:
    post:
      tags:
        - Automations
      summary: Create automated project settings
      description: >-

        Creates automated project creation (APC) settings.


        The request fails with `400 Bad Request` when the configuration is
        invalid — for example when monitored folders are duplicated, exceed the
        allowed limit, mix different connectors or project templates, or when
        the connector does not support (sub)folder monitoring, and when the
        translation-export configuration breaks its uniqueness or combination
        rules (such as more than one entry for the same trigger or workflow
        step). If the referenced connector cannot be found, the request fails
        with `404 Not Found`.
      operationId: createAutomatedProjectCreation_2
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateEditAutomatedProjectCreationV3DtoV3'
        description: Automated project creation settings to create
        required: true
      responses:
        '201':
          description: Created
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/AutomatedProjectCreationV3DtoV3'
        '400':
          description: Bad Request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
components:
  schemas:
    CreateEditAutomatedProjectCreationV3DtoV3:
      type: object
      required:
        - monitoredFolders
        - name
        - selectedTargetLangs
        - translationExports
      properties:
        active:
          type: boolean
          description: >-
            When true, the automated project creation is active and runs on its
            schedule
        continuousProject:
          type: boolean
          description: >-
            When true, files are imported into a single continuously updated
            project instead of creating a new project on every run
        createProjectAutomation:
          $ref: '#/components/schemas/CreateEditCreateProjectAutomationV3DtoV3'
        frequency:
          $ref: '#/components/schemas/AutomationProjectCreationFrequencyV3DtoV3'
        initialIterationMode:
          type: string
          description: Mode used for the first run of the automated project creation
          enum:
            - DRY_RUN
            - FULL_RUN
        monitoredFolders:
          type: array
          description: Remote folders to monitor. Must contain at least one folder.
          items:
            $ref: '#/components/schemas/CreateEditMonitoredFolderV3DtoV3'
        name:
          type: string
          description: >-
            Name of the automated project creation settings. Maximum 255
            characters.
          minLength: 0
          maxLength: 255
        projectCreationMode:
          type: string
          description: How files are grouped into created projects
          enum:
            - ALL_FILES_IN_SINGLE_PROJECT
            - BY_FOLDER
            - EACH_FILE_IN_SEPARATE_PROJECT
        projectTemplateMaxWfStep:
          type: integer
          format: int32
          description: Highest workflow step of the project template to use
        selectedTargetLangs:
          type: array
          description: >-
            Target language codes of the created projects. At least one must be
            selected.
          items:
            type: string
          maxItems: 2147483647
          minItems: 1
        sourceUpdateAutomation:
          $ref: '#/components/schemas/CreateEditSourceUpdateAutomationV3DtoV3'
        targetUpdateAutomation:
          $ref: '#/components/schemas/CreateEditTargetUpdateAutomationV3DtoV3'
        translationExports:
          type: array
          description: Translation-export configuration entries
          items:
            $ref: '#/components/schemas/TRANSLATION_EXPORT_ENTRY'
        webhookToken:
          type: string
          description: >-
            Webhook token that triggers the automated project creation. Either
            frequency or webhookToken must be provided.
    AutomatedProjectCreationV3DtoV3:
      type: object
      required:
        - frequency
        - id
        - monitoredFolders
        - name
      properties:
        active:
          type: boolean
          description: >-
            When true, the automated project creation is active and runs on its
            schedule
        continuousProject:
          type: boolean
          description: >-
            When true, files are imported into a single continuously updated
            project
        createProjectAutomation:
          $ref: '#/components/schemas/AutomatedProjectCreateProjectAutomationV3DtoV3'
        deprecatedTargetLangs:
          type: array
          description: >-
            Previously selected target language codes that are no longer
            available
          uniqueItems: true
          items:
            type: string
        frequency:
          $ref: '#/components/schemas/AutomationProjectCreationFrequencyV3DtoV3'
        id:
          type: string
          description: Unique identifier of the automated project creation settings
        initialIterationMode:
          type: string
          description: Mode used for the first run of the automated project creation
          enum:
            - DRY_RUN
            - FULL_RUN
        monitoredFolders:
          type: array
          description: Remote folders being monitored
          items:
            $ref: '#/components/schemas/MonitoredFolderV3DtoV3'
        name:
          type: string
          description: >-
            Name of the automated project creation settings. Maximum 255
            characters.
          minLength: 0
          maxLength: 255
        projectCreationMode:
          type: string
          description: How files are grouped into created projects
          enum:
            - ALL_FILES_IN_SINGLE_PROJECT
            - BY_FOLDER
            - EACH_FILE_IN_SEPARATE_PROJECT
        selectedTargetLangs:
          type: array
          description: Target language codes currently selected for the created projects
          uniqueItems: true
          items:
            type: string
        sourceLang:
          type: string
          description: Source language code of the created projects
        sourceUpdateAutomation:
          $ref: '#/components/schemas/AutomatedProjectSourceUpdateAutomationV3DtoV3'
        targetUpdateAutomation:
          $ref: '#/components/schemas/AutomatedProjectTargetUpdateAutomationV3DtoV3'
        translationExports:
          type: array
          description: Translation-export configuration entries
          items:
            $ref: '#/components/schemas/TRANSLATION_EXPORT_ENTRY'
        warnings:
          type: array
          description: Warnings raised while resolving the configuration
          items:
            type: object
        webhook:
          $ref: '#/components/schemas/WEBHOOK_TOKEN_V3'
    CreateEditCreateProjectAutomationV3DtoV3:
      type: object
      properties:
        applyProjectDueDateToJobsEnabled:
          type: boolean
          description: >-
            When true, the calculated project due date is also applied to its
            jobs
        assignProvidersEnabled:
          type: boolean
          description: >-
            When true, providers are automatically assigned to the created
            project
        calculateDueDateEnabled:
          type: boolean
          description: >-
            When true, the project due date is calculated using the configured
            due date scheme
        createAnalysesEnabled:
          type: boolean
          description: >-
            When true, analyses are automatically created for the created
            project
        createAnalysesWorkflowNumber:
          type: integer
          format: int32
          description: >-
            Workflow step number the created analyses are based on. Value
            between 1 and 999.
          minimum: 1
          maximum: 999
        createBuyerQuotesEnabled:
          type: boolean
          description: >-
            When true, buyer quotes are automatically created for the created
            project
        createProviderQuotesEnabled:
          type: boolean
          description: >-
            When true, provider quotes are automatically created for the created
            project
        dueDateSchemeUid:
          type: string
          description: >-
            Identifier of the due date scheme used to calculate the project due
            date
        notifyProjectOwnerEmailTemplateUid:
          type: string
          description: Identifier of the email template used to notify the project owner
        notifyProjectOwnerEnabled:
          type: boolean
          description: >-
            When true, the project owner is notified after the project is
            created
    AutomationProjectCreationFrequencyV3DtoV3:
      type: object
      required:
        - frequencyOption
      properties:
        frequencyOption:
          type: string
          description: How often the automated project creation runs
          enum:
            - UNDEFINED
            - WEEKLY_FIXED_TIMES
            - HOUR_TIME_RANGE
            - MINUTE_TIME_RANGE
            - MONTHLY_FIXED_TIMES
        monthlyFixedTimes:
          type: array
          description: >-
            Fixed times of the month the run is scheduled at when
            frequencyOption is MONTHLY_FIXED_TIMES
          items:
            $ref: '#/components/schemas/AutomatedProjectMonthlyFixedTimeV3DtoV3'
        range:
          type: integer
          format: int32
          description: >-
            Interval length used with HOUR_TIME_RANGE (hours) and
            MINUTE_TIME_RANGE (minutes) frequency options
        weeklyFixedTimes:
          type: array
          description: >-
            Fixed times of the week the run is scheduled at when frequencyOption
            is WEEKLY_FIXED_TIMES
          items:
            $ref: '#/components/schemas/AutomatedProjectWeeklyFixedTimeV3DtoV3'
    CreateEditMonitoredFolderV3DtoV3:
      type: object
      required:
        - folderNames
        - humanReadableFolderPath
        - localToken
        - projectTemplateUid
        - remoteFolder
      properties:
        fileNameRegex:
          type: string
          description: >-
            Regular expression used to filter which file names are processed.
            Maximum 255 characters.
          minLength: 0
          maxLength: 255
        folderNames:
          type: array
          description: Folder name segments forming the path of the monitored folder
          items:
            type: string
        humanReadableFolderPath:
          type: string
          description: Human-readable path of the monitored folder
        includeSubfolders:
          type: boolean
          description: >-
            When true, files in subfolders of the monitored folder are also
            processed
        localToken:
          type: string
          description: >-
            Token of the connector that provides access to the monitored remote
            storage
        moveToProcessedSubfolder:
          type: boolean
          description: >-
            When true, processed files are moved to the folder named by
            processedSubfolder
        processedSubfolder:
          type: string
          description: >-
            Name of the subfolder processed files are moved into; required when
            moveToProcessedSubfolder is true
        projectTemplateUid:
          type: string
          description: >-
            Identifier of the project template used to create projects from this
            folder
        remoteFolder:
          type: string
          description: Path of the monitored remote folder
        selectedMonitoredFiles:
          type: array
          description: >-
            Specific files within the folder to monitor instead of monitoring
            all files
          items:
            $ref: '#/components/schemas/MonitoredFileDto'
    CreateEditSourceUpdateAutomationV3DtoV3:
      type: object
      required:
        - createAnalysesType
      properties:
        applyProjectDueDateToJobsEnabled:
          type: boolean
          description: >-
            When true, the recalculated project due date is also applied to its
            jobs
        calculateDueDateEnabled:
          type: boolean
          description: >-
            When true, the project due date is recalculated using the configured
            due date scheme
        continuousAnalysesSettings:
          $ref: '#/components/schemas/CreateEditContinuousAnalysesSettingsV3DtoV3'
        createAnalysesEnabled:
          type: boolean
          description: When true, analyses are created when the source content changes
        createAnalysesType:
          type: string
          description: Type of analysis created on source update
          enum:
            - DEFAULT
            - POST_EDITING
            - CONTINUOUS
        createAnalysesWorkflowNumber:
          type: integer
          format: int32
          description: >-
            Workflow step number the created analyses are based on. Value
            between 1 and 999.
          minimum: 1
          maximum: 999
        createBuyerQuotesEnabled:
          type: boolean
          description: When true, buyer quotes are created when the source content changes
        createProviderQuotesEnabled:
          type: boolean
          description: >-
            When true, provider quotes are created when the source content
            changes
        dueDateSchemeUid:
          type: string
          description: >-
            Identifier of the due date scheme used to recalculate the project
            due date
        notifyProjectOwnerEmailTemplateUid:
          type: string
          description: Identifier of the email template used to notify the project owner
        notifyProjectOwnerEnabled:
          type: boolean
          description: >-
            When true, the project owner is notified when the source content
            changes
        reopenWorkflowEnabled:
          type: boolean
          description: When true, the workflow is reopened when the source content changes
        reopenWorkflowNumberAndLater:
          type: integer
          format: int32
          description: >-
            Workflow step number from which (and later) the workflow is
            reopened. Value between 1 and 999.
          minimum: 1
          maximum: 999
    CreateEditTargetUpdateAutomationV3DtoV3:
      type: object
      properties:
        manualReviewEnabled:
          type: boolean
          description: >-
            When true, the target update is held for manual review before being
            applied
        notifyProjectOwnerEmailTemplateUid:
          type: string
          description: Identifier of the email template used to notify the project owner
        notifyProjectOwnerEnabled:
          type: boolean
          description: >-
            When true, the project owner is notified when the target content
            changes
        targetUpdateEnabled:
          type: boolean
          description: When true, the target file is updated when its content changes
    TRANSLATION_EXPORT_ENTRY:
      type: object
      required:
        - name
      properties:
        exportFrom:
          $ref: '#/components/schemas/TRANSLATION_EXPORT_FROM'
        exportWhen:
          $ref: '#/components/schemas/TRANSLATION_EXPORT_WHEN'
        exportedWorkflowStepToDeliveredAfterExport:
          type: boolean
          description: >-
            When true, the exported workflow step is set to delivered after the
            export
        name:
          type: string
          description: Name of the translation-export entry
    AutomatedProjectCreateProjectAutomationV3DtoV3:
      type: object
      properties:
        applyProjectDueDateToJobsEnabled:
          type: boolean
          description: >-
            When true, the calculated project due date is also applied to its
            jobs
        assignProvidersEnabled:
          type: boolean
          description: >-
            When true, providers are automatically assigned to the created
            project
        calculateDueDateEnabled:
          type: boolean
          description: >-
            When true, the project due date is calculated using the configured
            due date scheme
        createAnalysesEnabled:
          type: boolean
          description: >-
            When true, analyses are automatically created for the created
            project
        createAnalysesWorkflowNumber:
          type: integer
          format: int32
          description: Workflow step number the created analyses are based on
        createBuyerQuotesEnabled:
          type: boolean
          description: >-
            When true, buyer quotes are automatically created for the created
            project
        createProviderQuotesEnabled:
          type: boolean
          description: >-
            When true, provider quotes are automatically created for the created
            project
        dueDateSchemeUid:
          type: string
          description: >-
            Identifier of the due date scheme used to calculate the project due
            date
        notifyProjectOwnerEmailTemplate:
          $ref: '#/components/schemas/AutomationEmailTemplateV3DtoV3'
        notifyProjectOwnerEnabled:
          type: boolean
          description: >-
            When true, the project owner is notified after the project is
            created
    MonitoredFolderV3DtoV3:
      type: object
      required:
        - encodedRemoteFolder
        - folderNames
        - humanReadableFolderPath
        - localToken
        - projectTemplateUid
        - remoteFolder
      properties:
        encodedRemoteFolder:
          type: string
          description: URL-encoded path of the monitored remote folder
        fileNameRegex:
          type: string
          description: >-
            Regular expression used to filter which file names are processed.
            Maximum 255 characters.
          minLength: 0
          maxLength: 255
        folderNames:
          type: array
          description: Folder name segments forming the path of the monitored folder
          items:
            type: string
        humanReadableFolderPath:
          type: string
          description: Human-readable path of the monitored folder
        includeSubfolders:
          type: boolean
          description: >-
            When true, files in subfolders of the monitored folder are also
            processed
        localToken:
          type: string
          description: >-
            Token of the connector that provides access to the monitored remote
            storage
        moveToProcessedSubfolder:
          type: boolean
          description: >-
            When true, processed files are moved to the folder named by
            processedSubfolder
        processedSubfolder:
          type: string
          description: >-
            Name of the subfolder processed files are moved into when
            moveToProcessedSubfolder is true
        projectTemplateUid:
          type: string
          description: >-
            Identifier of the project template used to create projects from this
            folder
        remoteFolder:
          type: string
          description: Path of the monitored remote folder
        selectedMonitoredFiles:
          type: array
          description: >-
            Specific files within the folder being monitored instead of
            monitoring all files
          items:
            $ref: '#/components/schemas/MonitoredFileDto'
    AutomatedProjectSourceUpdateAutomationV3DtoV3:
      type: object
      properties:
        applyProjectDueDateToJobsEnabled:
          type: boolean
          description: >-
            When true, the recalculated project due date is also applied to its
            jobs
        calculateDueDateEnabled:
          type: boolean
          description: >-
            When true, the project due date is recalculated using the configured
            due date scheme
        continuousAnalysesSettings:
          $ref: '#/components/schemas/ContinuousAnalysesSettingsV3DtoV3'
        createAnalysesEnabled:
          type: boolean
          description: When true, analyses are created when the source content changes
        createAnalysesType:
          type: string
          description: Type of analysis created on source update
          enum:
            - DEFAULT
            - POST_EDITING
            - CONTINUOUS
            - CONTINUOUS_DEFAULT
        createAnalysesWorkflowNumber:
          type: integer
          format: int32
          description: Workflow step number the created analyses are based on
          minimum: 1
          maximum: 999
        createBuyerQuotesEnabled:
          type: boolean
          description: When true, buyer quotes are created when the source content changes
        createProviderQuotesEnabled:
          type: boolean
          description: >-
            When true, provider quotes are created when the source content
            changes
        dueDateSchemeUid:
          type: string
          description: >-
            Identifier of the due date scheme used to recalculate the project
            due date
        notifyProjectOwnerEmailTemplate:
          $ref: '#/components/schemas/AutomationEmailTemplateV3DtoV3'
        notifyProjectOwnerEnabled:
          type: boolean
          description: >-
            When true, the project owner is notified when the source content
            changes
        reopenWorkflowEnabled:
          type: boolean
          description: When true, the workflow is reopened when the source content changes
        reopenWorkflowNumberAndLater:
          type: integer
          format: int32
          description: Workflow step number from which (and later) the workflow is reopened
          minimum: 1
          maximum: 999
    AutomatedProjectTargetUpdateAutomationV3DtoV3:
      type: object
      properties:
        manualReviewEnabled:
          type: boolean
          description: >-
            When true, the target update is held for manual review before being
            applied
        notifyProjectOwnerEmailTemplate:
          $ref: '#/components/schemas/AutomationEmailTemplateV3DtoV3'
        notifyProjectOwnerEnabled:
          type: boolean
          description: >-
            When true, the project owner is notified when the target content
            changes
        targetUpdateEnabled:
          type: boolean
          description: When true, the target file is updated when its content changes
    WEBHOOK_TOKEN_V3:
      type: object
      properties:
        webhookToken:
          type: string
          description: >-
            Token identifying the automated project creation within the webhook
            URL
        webhookUrl:
          type: string
          description: Full URL that triggers the automated project creation when called
    AutomatedProjectMonthlyFixedTimeV3DtoV3:
      type: object
      properties:
        dayOfMonth:
          type: integer
          format: int32
          description: Day of the month (1-31) on which the run is scheduled
        fixedTime:
          type: integer
          format: int32
          description: Time of day, in minutes from midnight, at which the run is scheduled
        timeZone:
          type: string
          description: Time zone in which fixedTime and dayOfMonth are interpreted
    AutomatedProjectWeeklyFixedTimeV3DtoV3:
      type: object
      properties:
        dayOfWeek:
          type: integer
          format: int32
          description: >-
            Day of the week (1 = Monday ... 7 = Sunday) on which the run is
            scheduled
        fixedTime:
          type: integer
          format: int32
          description: Time of day, in minutes from midnight, at which the run is scheduled
        timeZone:
          type: string
          description: Time zone in which fixedTime and dayOfWeek are interpreted
    MonitoredFileDto:
      type: object
      required:
        - encodedFileName
        - fileName
      properties:
        encodedFileName:
          type: string
        fileName:
          type: string
        uniqueIdentifier:
          type: string
    CreateEditContinuousAnalysesSettingsV3DtoV3:
      type: object
      properties:
        analyzeByLanguage:
          type: boolean
          description: When true, the analysis is broken down by language
        excludeLocked:
          type: boolean
          description: When true, locked segments are excluded from the analysis
        excludeNumbers:
          type: boolean
          description: When true, numbers are excluded from the analysis
        includeMachineTranslationMatches:
          type: boolean
          description: When true, machine translation matches are included in the analysis
        includeNonTranslatables:
          type: boolean
          description: When true, non-translatable segments are included in the analysis
        includeTransMemory:
          type: boolean
          description: When true, translation memory matches are included in the analysis
        internalFuzzyMatches:
          type: boolean
          description: >-
            When true, internal fuzzy matches (homogeneity) are counted in the
            analysis
        namingPattern:
          type: string
          description: Pattern used to name the created analyses. Maximum 255 characters.
          minLength: 0
          maxLength: 255
        separateInternalFuzzyMatches:
          type: boolean
          description: When true, internal fuzzy matches are reported separately
    TRANSLATION_EXPORT_FROM:
      type: object
      required:
        - type
      properties:
        type:
          type: string
          description: Workflow step type the translation is exported from
          enum:
            - FINAL_WORKFLOW_STEP
            - WORKFLOW_STEP
        workflowStep:
          type: integer
          format: int32
          description: >-
            Workflow step number the translation is exported from; required when
            type is WORKFLOW_STEP. Value between 1 and 999.
          minimum: 1
          maximum: 999
    TRANSLATION_EXPORT_WHEN:
      type: object
      required:
        - exportTrigger
      properties:
        exportTrigger:
          type: string
          description: Event that triggers the translation export
          enum:
            - SELECTED_WORKFLOW_STEP_COMPLETED
            - FINAL_WORKFLOW_STEP_COMPLETED
            - PROJECT_COMPLETED
        workflowStep:
          type: integer
          format: int32
          description: >-
            Workflow step number that triggers the export; required when
            exportTrigger is SELECTED_WORKFLOW_STEP_COMPLETED. Value between 1
            and 999.
          minimum: 1
          maximum: 999
    AutomationEmailTemplateV3DtoV3:
      type: object
      properties:
        name:
          type: string
          description: Name of the email template
        uid:
          type: string
          description: Unique identifier of the email template
    ContinuousAnalysesSettingsV3DtoV3:
      type: object
      properties:
        analyzeByLanguage:
          type: boolean
          description: When true, the analysis is broken down by language
        excludeLocked:
          type: boolean
          description: When true, locked segments are excluded from the analysis
        excludeNumbers:
          type: boolean
          description: When true, numbers are excluded from the analysis
        includeMachineTranslationMatches:
          type: boolean
          description: When true, machine translation matches are included in the analysis
        includeNonTranslatables:
          type: boolean
          description: When true, non-translatable segments are included in the analysis
        includeTransMemory:
          type: boolean
          description: When true, translation memory matches are included in the analysis
        internalFuzzyMatches:
          type: boolean
          description: >-
            When true, internal fuzzy matches (homogeneity) are counted in the
            analysis
        namingPattern:
          type: string
          description: Pattern used to name the created analyses. Maximum 255 characters.
          minLength: 0
          maxLength: 255
        separateInternalFuzzyMatches:
          type: boolean
          description: When true, internal fuzzy matches are reported separately
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````